function onInit( )
	_SWEPSetSound( MyIndex, "single_shot", "" )
end

function onThink( )
		
end

function onPrimaryAttack( )
	_EntEmitSound(Owner, "weapons/ar2/npc_ar2_altfire.wav")
end

function onSecondaryAttack( )		
	
end

function onReload()
	return true
end

function getWeaponSwapHands()
	return true
end

function getWeaponFOV()
	return 74	
end

function getWeaponSlot()
	return 1	
end

function getWeaponSlotPos()
	return 5	
end

function getFiresUnderwater()
	return true
end

function getReloadsSingly()
	return false
end

function getDamage()
	return 10.5
end

function getPrimaryShotDelay()
	return 0.2
end

function getSecondaryShotDelay()
	return 100
end

function getPrimaryIsAutomatic()
	return false
end

-- Automatic weapon for secondary fire
function getSecondaryIsAutomatic()
	return false
end

-- Ammo type for primary fire
function getPrimaryAmmoType()
	return "pistol"
end

-- Ammo type for secondary fire
function getSecondaryAmmoType()
	return "pistol"
end

-- Max Clip size. -1 if no clip
function getMaxClipPrimary()
	return 12
end

-- Max Clip size for secondary fire. -1 if no clip
function getMaxClipSecondary()
	return -1
end

-- Primary Ammo given to player when given the gun
function getDefClipPrimary()
	return 9999
end

-- Secondary Ammo given to player when given the gun
function getDefClipSecondary()
	return -1
end

-- 0 = Don't override, shoot bullets, make sound and flash
-- 1 = Don't shoot bullets but do make flash/sounds
-- 2 = Only play animations
-- 3 = Don't do anything
function getPrimaryScriptOverride()
	return 0
end

-- see above
function getSecondaryScriptOverride()
	return 3
end

-- Higher the # the bigger the spread
function getBulletSpread()
	return vector3( 0.03, 0.03, 0.03 )
end

-- amount of view kick
function getViewKick()
	return vector3( 0, 0.0, 0.0)
end

-- same as above only random values (set to 0.0 , 0.0, 0.0 for no random kick)
function getViewKickRandom()
	return vector3( 1.0, 0.7, 0.7 )
end

-- Defines the first person model
function getViewModel( )
	return "models/weapons/v_pist_p228.mdl"
end

-- Defines what it looks like from 3rd person view
function getWorldModel( )
	return "models/weapons/w_pist_p228.mdl"
end

-- Classname of wep. So you can use "give" for this
function getClassName()
	return "weapon_battleaxe"
end

-- getAnimPrefix - the animation prefix. one of the following: 
-- pistol, smg, ar2, shotgun, rpg, phys, crossbow, melee, slam, grenade
function getAnimPrefix()
	return "pistol"
end

-- Text you see when choosing the weapon
function getPrintName()
	return "'Battle Axe' Handgun"
end

function getDeathIcon()
	return "d_usp"
end
